//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace nispi
{
    class StrUtil
    {
        public StrUtil()
        {
        }
        /// <summary>
        /// 改行でわけてリンクにする
        /// </summary>
        /// <param name="str">ファイルから読んだstringデータ</param>
        /// <returns></returns>
        public static string[] GetLineListByStr(string str)
        {
            string[] rows = str.Split(new char[] { '\r', '\n' });

            return rows.Where(a => a.Length > 0).ToArray();
        }

        public static string GetStrByLineList(string[] lines)
        {
            string str = string.Join("\r\n", lines);
            return str;
        }

        public static string GetStrCopy(string source)
        {
            if (source == null)
                return null;
            return string.Join("", source.ToArray());
        }
    }
}
